#ifndef MARS_MGCamDisplay
#define MARS_MGCamDisplay

#ifndef MARS_MGEvtDisplay
#include "MGEvtDisplay.h"
#endif

class TGListBox;

class MGeomCam;
class MHCamera;

class MGCamDisplay : public MGEvtDisplay
{
private:
    Bool_t fDisplayRaw;
    Bool_t fDisplayHillas;

    TGListBox   *fPixelList;

    MHCamera *fDisplay[5];
    TCanvas     *fCanvas2[5];

    void AddSetupElements();
    void UpdateDisplay();

    MGeomCam *SetupTaskList();

public:
    MGCamDisplay(const char *filename,
                 const TGWindow *p, /*const TGWindow *main,*/
                 UInt_t w, UInt_t h);

    Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

    ClassDef(MGCamDisplay, 0) // Display for camera images (cerenkov events)
};

#endif


